GET /api/v3/generalledger/{generalLedgerId}

Retrieves a single General Ledger code by ID

GetGeneralLedgerV3 Permissions: Accounts (View)
Use this endpoint to get the full details of a specific GL code including all subcode segment values. For listing GL codes with filtering, use GET /generalledger.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
generalLedgerId Unique numeric identifier of the General Ledger code integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GeneralLedgerResponse
Property Description Type
generalLedgerCode Unique code for the general ledger string
generalLedgerId General Ledger Identifier integer (int32)
subCodes List of 20 subCodes with their index, name, and value GLSubCodeChild[]
GLSubCodeChild properties
Property Description Type
subCodeIndex Index of this subcode (01-20) string
subCodeName Name for this SubCode string
value The value assigned to the subcode string
Example Response application/json
{  "generalLedgerCode": "string",  "generalLedgerId": 1,  "subCodes": [
    {    "subCodeIndex": "string",    "subCodeName": "string",    "value": "string"
  }
  ]
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.